---
title: "POST /blueprints/simulating - Blueprints · RUAL Documentation"
description: "Start simulating a blueprint for testing"
canonical: https://docs.rual.nl/cluster/api/blueprints/blueprints-simulating-post
language: en
---

# POST /blueprints/simulating

Start simulating a blueprint for testing

| Key | Type | Example | Description |
| --- | --- | --- | --- |
| **[authorization](https://docs.rual.nl/cluster/api#token-providing)** required | `string` | `"Bearer access_token"` | Access token |

| Key | Type | Example | Description |
| --- | --- | --- | --- |
| **blueprint_guid** optional | `string` | 'c45797061f2c15a75361042244385e96419d230ab804d7f...' | Blueprint GUID to simulate |

```
{
  "executed_on_node": "node-1",
  "paths": [
    "example"
  ]
}
```

```
{
  "code": 401,
  "error": "INVALID_ACCESS_TOKEN"
}
```

| Status | Error Code | Description |
| --- | --- | --- |
| `401` | `INVALID_ACCESS_TOKEN` | Authentication required or invalid token |

| Permission | Description |
| --- | --- |
| `Bearer token` | Access token required via Authorization header, x-authtoken, x-token, query param, or cookie |
| `blueprints_create` | Required scope: blueprints_create |
